@font-face {
	font-family: 'Computer Modern Sans';
	src: url('cmunss.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Computer Modern Sans';
	src: url('cmunsx.woff') format('woff');
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: 'Computer Modern Serif';
	src:url('cmunrm.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Computer Modern Serif';
	src: url('cmunbx.woff') format('woff');
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: 'PTSerif';
	src:url('PTSerifN.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'PTSerif';
	src: url('PTSerifNB.woff2') format('woff2');
	font-weight: bold;
	font-style: normal;
}

@font-face {
  font-family: 'Newsreader';
  src: url('newsreader.woff2') format('woff2');
  font-weight: 200 800;
  font-style: normal;
}



html{box-sizing:border-box;}
*,*:before,*:after{box-sizing:inherit;}
/* normalize.css by Nicolas Gallagher and Jonathan Neal */
html{-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}@page{margin:0}
article,aside,details,figcaption,figure,footer,header,main,menu,nav,section,summary{display:block}
audio,canvas,progress,video{display:inline-block}progress{vertical-align:baseline}
audio:not([controls]){display:none;height:0}[hidden],template{display:none}
a{background-color:transparent;-webkit-text-decoration-skip:objects}
a:active,a:hover{outline-width:0}abbr[title]{border-bottom:none;text-decoration:underline;text-decoration:underline dotted}
dfn{font-style:italic}mark{background:#ff0;color:#000}
small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}
sub{bottom:-0.25em}sup{top:-0.5em}figure{margin:1em 40px}img{border-style:none}svg:not(:root){overflow:hidden}
code,kbd,pre,samp{font-family:monospace,monospace;font-size:1em}hr{box-sizing:content-box;height:0;overflow:visible}
button,input,select,textarea{font:inherit;margin:0}optgroup{font-weight:bold}
button,input{overflow:visible}button,select{text-transform:none}
button,html [type=button],[type=reset],[type=submit]{-webkit-appearance:button}
button::-moz-focus-inner, [type=button]::-moz-focus-inner, [type=reset]::-moz-focus-inner, [type=submit]::-moz-focus-inner{border-style:none;padding:0}
button:-moz-focusring, [type=button]:-moz-focusring, [type=reset]:-moz-focusring, [type=submit]:-moz-focusring{outline:1px dotted ButtonText}
fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:.35em .625em .75em}
legend{color:inherit;display:table;max-width:100%;padding:0;white-space:normal}textarea{overflow:auto}
[type=checkbox],[type=radio]{padding:0}
[type=number]::-webkit-inner-spin-button,[type=number]::-webkit-outer-spin-button{height:auto}
[type=search]{-webkit-appearance:textfield;outline-offset:-2px}
[type=search]::-webkit-search-cancel-button,[type=search]::-webkit-search-decoration{-webkit-appearance:none}
::-webkit-input-placeholder{color:inherit;opacity:0.54}
::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}

html,body{font-family:'Computer Modern Sans';font-size:16px;line-height:1.5;counter-reset:exo;}
.katex { font-size: 1em !important; } 
h1{font-size:2.25em}h2{font-size:1.875em}h3{font-size:1.5em}h4{font-size:1.25em}h5{font-size:1.125em}h6{font-size:1em}

h1,h2,h3,h4,h5,h6{font-weight:400;margin:0.25em 0}

p{margin:0px;}
.smallskip{margin-bottom:0.25em;}
.medskip{margin-bottom:0.5em;}
.bigskip{margin-bottom:1em;}

ul,ol {
  margin:0;
  margin-left: 1.25em;
  padding-left: 0;
}

ol ol{list-style-type: lower-alpha;}

img{vertical-align:middle;max-width:100%;border-style:none;}

.fbox{border:0.1em solid black;padding:0.15em;}
.underline{text-decoration:underline;}
.center{text-align:center;}
.right-align{text-align:right;}
.bold{font-weight:bold;}
.ulbold{text-decoration:underline;font-weight:bold;} /* gras souligné */


/* Couleurs */
.blue{color:blue;}

/* Width prédéfinis en em */
.w2{width:2em;}.w3{width:3em;}.w4{width:4em;}.w5{width:5em;}.w6{width:6em;}.w7{width:7em;}.w8{width:8em;}.w9{width:9em;}.w10{width:10em;}

.hide{display:none!important;}
.offscreen{position:absolute;left:-9999px;visibility:hidden;}

.hide-http{display:none!important;}

.content{max-width:980px;margin:auto;position:relative;}
.content-left{max-width:980px;padding:0 2.5%;position:relative;}
.content-full{padding:0 2.5%;position:relative;}
.footer{background-color:#222;color:white;padding:2em 5%;margin-top:1em;}

/* Sttyle pour liste à l'horizontale */
.horizontal-list {
  display: flex;
  justify-content:space-evenly;
}

/* Fin liste horizontale */

/* Style de séparateur dans documents */
.separator {
  width: 2cm;              /* longueur du trait */
  height: 0.5mm;              /* épaisseur du trait */
  background-color: #333;   /* couleur principale */
  margin: 2.5mm auto;        /* centrage horizontal + espace vertical */
}
/* Fin séparateur */

/* Style pour mise en page youtube-like */
.ytl-container {
  display: flex;
  align-items:flex-start;
  padding: 20px;
  gap:20px;
  max-width:1280px;
  margin:auto;
}

.ytl-container h1{
	font-size:1.8em;
	font-weight:700;
	line-height:2.4em;
}

.ytl-gauche {
  flex: 1;
  max-width: calc(90vh * 16 / 9);
  position: relative;
}
.ytl-droite {
  width: 380px;
  padding: 20px;
  
  /* display:inline-flex;*/
  display:flex;
  flex-wrap:wrap;
  /* flex-direction:column;*/
  gap:20px;
  background-color:#e5e5ff;
  border-radius:0.5em;
}
.ytl-a{
	display:inline-block;
	width:160px;
	height:90px;
	text-decoration:none;
	color:inherit;
	vertical-align:middle;
}
.ytl-a.diapo,.ytl-a.pdf{
	background-size:100% 100%;
	display:inline-flex;
	align-items:center;
	flex-direction:column;
	justify-content:center;
	align-items: center;
	font-weight:bold;
	font-size:0.75em;
	color:blue;
}

.ytl-a.diapo{background-image:url(blackboardv.svg);}
.ytl-a.diapo>span{display:inline-block;width:90%;text-align:center;}

.ytl-a.pdf{background-image:url(../css/pdf-paysage.svg);}
.ytl-a.pdf>span{display:inline-block;color:blue;font-size:1.2em;background-color:rgba(255,255,255,0.66);border-radius:2px;padding:2px;}


/*.ytl-miniboard{
	width:160px;
	height:90px;
	background-image:url(blackboardv.svg);
	background-size:100% 100%;
	display: flex;
	flex-direction:column;
	justify-content:center;
	align-items: center;
	font-weight:bold;
	font-size:0.75em;
}*/

/* Responsive mobile : pile les deux zones */
@media (max-width: 980px) {
  .ytl-container {
    flex-direction: column;
    height: auto;
  }
  .ytl-droite,.ytl-gauche{width: 100%;}
}
/* Fin style pour youtube-like */


/* Impression */
/*@page{margin:5mm;}
@media print {*/
	/* .frame{break-inside:avoid;} */
/*	.footer{display:none;}
	.content-left{
		padding:0;
		column-count: 2;
		column-gap:5mm;
		column-fill:auto;
		column-rule:dotted;
		font-size:2.15mm;
	}
}*/

/* Boutons */
button,.button{
	text-decoration:none;
	border-style: none;
	text-align: center;
	font-weight: 700;
	padding:0.25em 0.75em;
	border-radius:0.5em;
	color:black;
	background:lightgrey;
	margin-right:0.5em;
	cursor:pointer;
}

button.white,.button.white{
	background-color:white;
	opacity:0.8;
}

button:hover,.button:hover{
	color:white;
	background:black;
}

button.blue,.button.blue{color:black;background-color:#ccf;border:0.15em blue solid;}
button.blue:hover,.button.blue:hover{background:#bbf;}

button.red,.button.red{color:black;background-color:#fcc;border:0.15em red solid;}
button.red:hover,.button.red:hover{background-color:#fbb;}

button.green,.button.green{color:black;background-color:#cfc;border:0.15em green solid;}
button.green:hover,.button.green:hover{background-color:#bfb;}

/* key */
.key{
	border:0.1em solid black;
	border-radius:0.25em;
	text-align:center;
	min-width:3em;
	font-size:0.9em;
	display:inline-block;
	line-height:1.2;
}

/* logo */
.logo{font-size:2.5em;font-weight:900;}
.logo>span{color:red;}
.logo>span+span{color:#29a723;}
a:has(> span.logo){color:inherit;text-decoration: none;} /* Compatibilité navigateurs très récente : 2024, pas grave car j'utilise pas en publication */

/* Breadcrumb (ul) */
.breadcrumb{
	list-style: none;
	margin:0;
	padding:0.5em 0;
	font-size:1.25em;
}

.breadcrumb li{display:inline;margin:0;padding:0;}
.breadcrumb li a {color: #0275d8;}
.breadcrumb li+li:before{padding:0 0.5em;content:'\25B8';}

/* GAP */
.gap-flex{
	border-bottom: 1px dotted #000;
	flex-grow: 1;
	height:8mm;
	/* vertical-align:baseline;*/
}

/* Badge */
.badge {
	display: inline-block;
	padding: .1em .25em;
	font-weight: 700;
	line-height:1em;
	text-align: center;
	white-space: nowrap;
	border-radius: .25rem;
	margin:0.1em 0.1em;
	color: #fff;
}

.badge.red{background-color: red;}
.badge.blue{background-color:rgb(13, 110, 253);}
.badge.grey{background-color:rgb(108, 117, 125);}
.badge.green{background-color: green;}
.badge.magenta{background-color: magenta;}

/* Présentation des ressources */
.res-title{font-size:1.25em;font-weight:bold;background:#E6E6FA;border:1px solid black;border-bottom:0;padding:0.25em;}
.res-block{border:1px solid black;border-top:0;padding:0.5em;margin-bottom:1em;}
/* Numérotation automatique d'exercice (counter exo) */
.res-no:after{counter-increment:exo;content:counter(exo);}


 /* Système de positionnement absolu */
.xy{position:absolute;display:inline-block;}
.xy.N{transform:translate(-50%,0%);}
.xy.NW{transform:translate(0%,0%);}
.xy.NE{transform:translate(-100%,0%);}
.xy.S{transform:translate(-50%,-100%)}
.xy.SW{transform:translate(0%,-100%);}
.xy.SE{transform:translate(-100%,-100%);}
.xy.W{transform:translate(0%,-50%);}
.xy.E{transform:translate(-100%,-50%);}
.xy.M{transform:translate(-50%,-50%);}


/* Tabs */
.tabs>ul{
    list-style-type: none;
    border-bottom:1px solid gray;
    margin:0;
    padding:0;
    padding-bottom:2em;
}

.tabs>ul li{
    float: left;
    color: #666;
    height:2em;
    line-height:2em;
    text-decoration: none;
    padding: 0 0.5em;
    text-align:center;
    background-color:#eee;
    margin: 1px 0px 0px 0px;
    border: 1px solid gray;
}

.tabs>ul li.selected{
    color: #000;
    font-weight:bold;
    background-color: #fff;
    border-bottom: 1px solid #fff;
}

.tabs>ul li:hover{
    color: #000;
    font-weight:bold;
    background-color: #fff;
    cursor:pointer;
}

.tabs>div {
    background: white;
    border:1px solid gray;
    border-top: none;
    width:100%;
    padding:0.5em;
    display:none;
}
 
 
/* Board */
.board,.board2{
	position:relative;
	width:100%;
	height:0px;
	padding-bottom: 56.25%;
	overflow:hidden;
	line-height:1.25em;
	background-image:url(blackboard.svg);
	background-size:100% 100%;
	outline:none;
}


.board.flat{
	background-image:none;
	height:auto;
	padding-bottom:0;
	font-size:1em!important;
}

.board .frame{
	position:absolute;
	top:1.25em;
	bottom:2.25em;
	right:2.5em;
	left:2.5em;
	width:auto;
	height:auto;
	display:none;
	padding:0.5em 0.5em;
	overflow:hidden;
}	

.board2 .frame{
	position:absolute;
	top:1.25em;
	bottom:2.25em;
	right:2.25em;
	left:2.25em;
	visibility:hidden;
	opacity:0;
	width:auto;
	height:auto;
	padding:0.5em 0.5em;
	overflow:hidden;
}

.board2 .frame.noblock .block-color{
	display:none;
}

.board2.video{
	/* background-image:url(blackboardv.svg);*/
	background-image:none;
}


/* Pour board-image */
.board2 .image-container{
	position:absolute;
	top:1.3em;
	bottom:2.25em;
	right:3em;
	left:3em;
	/*width:auto;
	height:auto;*/
	overflow:hidden;
}

.image-container img{
	width:100%;
	height:auto;	
}
/* Fin board-image */

.board2.video .btn-next,.board2.video .btn-prev,.board2.video .btn-fullscreen,.board2.video .msg-zone{opacity:0;}

.board2 * {user-select: none;}



.board-flat .frame{
	position:relative;
	padding:0.5em 0.5em;
	border: 1px solid #ccc;
	/*box-shadow: 0 5px 20px rgba(0,0,0,0.2);*/
	border-radius: 8px;
	margin:0.5em;
}

.board-flat .frame::after{
	content:attr(data-frame-number);
	position:absolute;
	background:yellow;
	bottom:0;
	right:0;
}

.frame-on{visibility:visible!important;opacity:1!important;}

/* Elements visibles/invisibles */
*[data-state=off]{
	visibility:hidden;
	opacity:0;
}

/* Fin éléments visibles/invisibles */

/* Fonds quadrillages divers */
.cahier {
  background:
    repeating-linear-gradient(
      to bottom,
      white 0px,
      white 1.3em,
      #6fa8dc 1.35em
    );
}


/* Couche d'anotations svg */
.anotLayer{
	position: absolute;
	/* left: 1.5em;
	top: 1.25em;
	width: calc(100% - 3em);
	height: calc(100% - 3.5em);*/
	top:0em;
	left:0em;
	width:100%;
	height:100%;
}

/* Système drag & resize pour div */
.dragable{
	position:absolute;
	width: 33%;
    height:33%;
    top:5%;
    left:5%;
}

/* Poignée pour drag de div */
.dragHandle {
      position: absolute;
      width: 14px;
      height: 14px;
      right: -7px;
      bottom: -7px;
      background: white;
      border: 2px solid black;
      cursor: se-resize;
    }

.dragHandle.ctrl{cursor: move;}


/* Fin système drag & resiez pour div */

/* short */
.short{
	position:absolute;
	top:0;
	left:50%;
	height:100%;
	aspect-ratio:9/16; /* compatibilité récente, mais pas d'utilité sur le site diporamaths, juste pour les shorts */
	
	/*height: 100vh;
	width: calc(100vh * 9 / 16);*/
	
	transform:translate(-50%,0%);
	background-color:#eee;
	padding:0.25em;
}	


/* Fin short */


/* Hide scrollbar pour Chrome, Safari and Opera */
/* .board .frame::-webkit-scrollbar {display: none;}*/

.board.flat .frame{
	position:relative;
	top:0em;
	bottom:0em;
	right:0em;
	left:0em;
	display:block!important;
	border:1px solid black;
	margin-bottom:0.5em;
}

.board.flat .frame .hide{display:unset!important;}

.scroll{
	overflow:auto;
	-ms-overflow-style: none;  /* IE et Edge */
	scrollbar-width: none;  /* Firefox */
}
.scroll::-webkit-scrollbar {display: none;} /* Chrome, Safari et Opera */


.flex-scroll{
	display:flex;
	flex-direction:column;
	max-height:100%;
	justify-content:flex-end;
}

/*.flex-scroll > *:not(:last-child) {
  opacity:0.5;
}*/

.in-view {
  outline: 2px solid red;
  transition: outline 0.3s ease;
}


.board.flat .flex-scroll{display:unset;}

.btn-fullscreen{
	position:absolute;
	cursor:pointer;
	z-index:1000;
	left:96%;
	width:4%;
	bottom:2.5%;
}
.board.flat .btn-fullscreen{width:0;}

.btn-next{
	position:absolute;
	cursor:pointer;
	right:0.1em;
	top:50%;
	width:2.25em;
	transform:translate(0%,-50%);
}
.board.flat .btn-next{width:0;}

.btn-prev{
	position:absolute;
	cursor:pointer;
	left:0.1em;
	top:50%;
	width:2.2em;
	transform:translate(0%,-50%);
}
.board.flat .btn-prev{width:0;}

/* Attention .overlay existe dans katex */
.overlay-page{
	position:fixed;
	top:0px;
	bottom:0px;
	left:0px;
	right:0px;
	background-color:#8888;
	z-index:10000;
	overflow:auto;
}

/* Beamer like */
.block-title{
	background-color:#262686;
	color:white;
	padding:0.25em;	
}
.block{
	background-color:#eaeaf3;
	padding:0.25em;	
}

.block-color{
	padding:0.5em;
	margin:0.5em 0;
	border:0.05em solid #CCCCCC;
	border-left-width:0.25em; 
}
.block-color.green{border-color:green;background:#C9F3C9;color:black;}
.block-color.blue{border-color:#1c1cff;background-color:#DDDDFF;color:black;}
.block-color.yellow{border-color:gray;background-color:#FFFFAA;color:black;}
.block-color.red{border-color:red;background-color:#fbb;color:black;}


/* Question mark : blanc sur fond bleu */
.qmark{background-color:#1c1cff;color:white;padding:0 0.25em;}
.qmark::before{content:'?';}

.board.flat .qmark{padding:0;}
.board.flat .qmark::before{content:'';}

/* Tableaux */
table{border-collapse:collapse;margin:0.5em auto;}

.table-simple td,.table-simple th{border:1px solid black;}
.table-simple td{padding:0.25em;}

/* Tableaux de décomposition */
.table-decompo td{padding:0 0.25em;}
.table-decompo td:first-child{border-right:0.1em solid black;text-align:right;}

/* Tableaux de propriétés */
.table-prop{margin:0}
.table-prop td:first-child{text-align:right;font-weight:bold;}

/* Tableaux de signes et de variations */
.table-tsv tr{border:0.1em solid black;}
.table-tsv td{padding:0.25em;text-align:center;}
.table-tsv td:first-child{border-right:0.1em solid black;}
.table-tsv .signe,.table-tsv .vari{display:inline-block;width:4em;text-align:center;}

.vari>img{
	width:4em;
}

.table-tr-vari{
	border-top:0px!important;
	border-bottom:0px!important;
}

.table-tr-vari td{
	padding:0em!important;
}

.table-tr-top-vari{
	border-bottom:0px!important;
}

.table-tr-top-vari td{
	padding-bottom:0px!important;
}

.table-tr-bottom-vari{
	border-top:0px!important;
}

.table-tr-bottom-vari td{
	padding-top:0px!important;
}

.steps-pause>div{
	margin-top:0.75em;
}

/* Question */
.question{
	position:relative;
	padding: 15px;
	padding-left:40px;
	margin: 10px 0;
	background-color: #f0f0f0;
	border: 1px solid #aaa;
	border-radius: 5px;
}

.dice {
		position:absolute;
		top:8px;
		left:4px;
		cursor:pointer;	
}
	
.trash,.cart{
	position:absolute;
	bottom:8px;
	left:4px;
	cursor:pointer;	
}


/* Chat */
.chat-container{display:flex;flex-direction: column;gap:0.5em;}

.chat-message {
	position:relative;
	background-color:#eee;
	border-radius:0.5em;
	padding:0.5em;
	counter-reset:frame-counter;
}


.chat-input-container {
  display: flex;
  align-items: center;
}

.chat-input{
  font-family:monospace,monospace;
  font-size:0.9em;
  flex: 1;
  padding:0.5em;
  margin-right: 1em;
  border: 1px solid #ccc;
  border-radius: 0.5em;
}

.chat-button {
  padding: 0.5em 1em;
  background-color: lightblue;
  border: none;
  border-radius: 0.5em;
  cursor: pointer;
 }

.chat-button:hover {
  background-color: #0077cc;
  color: white;
}

.alert{
	position:fixed;
	top:0.5em;
	right:0.5em;
	display:inline-block;
	padding:0.5em;
	border-radius:0.5em;
	background-color:#F5F9A9;
}


/* flashcards */
	.card-verso{visibility:hidden;}
/* Fin flashcards */

/* Timer : gauge barre horizontale */
.timer{
	position:relative;
	width: 100%;
	height: 1em;
	border:0.1em solid black;
	border-radius:0.2em;
	padding:0.1em;
	background-color: #ddd;
}

.timer-bar {
	position: absolute;
	right:0.1em; /*aligné à droite */
	height:calc(100% - 0.2em);
	width:calc(100% - 0.2em);
	background-color: #4caf50;
	/* transition: width 0.1s linear;*/
}
/* Fin Timer */

/* Marquee */
.marquee-container {
	overflow: hidden;
    white-space: nowrap;
	left:10em;
	right:3em;
	bottom:0.75em;
			
}
.marquee-content {
  display: inline-block;
  padding-left: 100%;
  /* on commence hors de l’écran à droite */
  animation: marqueeAnim linear;
}
@keyframes marqueeAnim {
  from { transform: translateX(0); }
  to   { transform: translateX(-100%); }
}

/* Animations */
@keyframes scrollOn {from {max-height:0px;} to {max-height:10000px;}}
/*.scroll-on{overflow:hidden;animation:scrollOn 2s;}*/

@keyframes scrollOff {from {max-height:10000px;} to {max-height:0px;}}
/*.scroll-off{max-height:0px;overflow:hidden;animation:scrollOff 2s;}*/

@keyframes fadeIn {from {opacity: 0;} to {opacity: 1;}}

    .step-container {
      position: relative;
      padding-left: 2.8em;
      margin-bottom: 1em;
    }

    .step-number{
	display:block;
      position: absolute;
      top: 0;
      left:0;
      /* width: 3em; */
      padding:0 0.5em;
      height: 2em;
      width:3em;
      background-color: #007BFF;
      color: white;
      font-weight: bold;
      text-align: center;
      line-height: 2em;
        text-decoration: none;

      /*border-radius: 4px;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);*/
    }
    

    .step-content {
      border-left: 0.2em solid #007BFF;
      padding-left: 0.5em;
      margin-top: 1em;
    }
    
		.slide-in-top {
	animation: slide-in-top 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

/* ----------------------------------------------
 * Generated by Animista on 2025-10-18 12:52:55
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-in-top
 * ----------------------------------------
 */
@keyframes slide-in-top {
  0% {
    transform: translateY(-1000px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}


.slide-in-left {
	-webkit-animation: slide-in-left 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: slide-in-left 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

/* ----------------------------------------------
 * Generated by Animista on 2025-10-20 10:49:32
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-in-left
 * ----------------------------------------
 */
@keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
            transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}


	

		/* ----------------------------------------------
 * Generated by Animista on 2025-10-18 7:6:38
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation scale-up-center
 * ----------------------------------------
 */

		.scale-up-center {
		transform-box: fill-box;       /* Définit la boîte de référence */
  transform-origin: center;      /* Centre du rectangle */
	animation: scale-up-center 0.75s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
} 
 
@keyframes scale-up-center {
  0% {
    transform: scale(1.5);
    opacity:0.9;
  }
  100% {
    transform: scale(1);
    opacity:0.5;
  }
}


.slide-out-right {
	-webkit-animation: slide-out-right 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
	        animation: slide-out-right 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}




.slide-in-bottom{transform-box: fill-box;transform-origin: center;animation:slide-in-bottom 1s cubic-bezier(.25,.46,.45,.94) both}
@keyframes slide-in-bottom{0%{transform:translateY(1000px);opacity:0}100%{transform:translateY(0);opacity:1}}


/* ----------------------------------------------
 * Generated by Animista on 2025-10-20 10:52:53
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-out-right
 * ----------------------------------------
 */

@keyframes slide-out-right {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(1000px);
            transform: translateX(1000px);
    opacity: 0;
  }
}

.scale-in-center{transform-box: fill-box;transform-origin: center;animation:scale-in-center .5s cubic-bezier(.25,.46,.45,.94) both}
@keyframes scale-in-center{0%{transform:scale(0);opacity:1}100%{transform:scale(1);opacity:1}}

.scale-out-center{transform-box: fill-box;transform-origin: center;animation:scale-out-center .5s cubic-bezier(.55,.085,.68,.53) both}
@keyframes scale-out-center{0%{transform:scale(1);opacity:1}100%{transform:scale(0);opacity:1}}

.fade-in{animation:fade-in 1.5s cubic-bezier(.39,.575,.565,1.000) both}
@keyframes fade-in{0%{opacity:0}100%{opacity:1}}

.fade-out{animation:fade-out 1s ease-out both}
@keyframes fade-out{0%{opacity:1}100%{opacity:0}}

